<?php
namespace App\Services\LiquidTags;

class LiquidTagPage
{
    private $articleId;

    // 构造函数用于解析传入的参数
    public function __construct($markup, array &$tokens, $file_system = null)
    {
        // 正则表达式解析传入的文章 ID，例如 `{% page 1 %}`\
        $this->articleId= $markup;
//        $syntax = '/(\d+)/';
//        if (preg_match($syntax, $markup, $matches)) {
//            $this->articleId = (int)$matches[1];
//
//        }
    }

    // render 方法执行逻辑并返回渲染结果
    public function render(&$context)
    {
        if ($this->articleId) {

                return $this->articleId;

        }

        // 如果文章不存在，则返回空
        return '<p>文章不存在。</p>';
    }
}
